package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealElectronicUnbindCompanyCertRequest struct {
	SealMultipleRequest *common.SealMultipleRequest `json:"sealMultipleRequest"`
	// <ext>core:true</ext> 【待解绑的证书序列号集合】待解绑的证书序列号集合 【作用】 传入待解绑的证书序列号，解除证书与当前印章的绑定关系 【传参】 2、传入印章对应绑定的序列号，序列号可通过<docs>/seal/cert/detail</docs>查询当前印章已绑定的云证书。
	CertSerialNos []string                `json:"certSerialNos,omitempty"`
	OperatorInfo  *common.UserInfoRequest `json:"operatorInfo"`
}

func (obj SealElectronicUnbindCompanyCertRequest) GetUrl() string {
	return "/seal/electronic/unbind/company/cert"
}

func (obj SealElectronicUnbindCompanyCertRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
